<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
/**
 * Plugin administration pages are defined here.
 *
 * @package     local_levitate
 * @copyright   2023, Human Logic Software LLC
 * @author     Sreenu Malae <sreenivas@human-logic.com>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['pluginname'] = 'Levitate';
$string['headerconfig'] = 'Configuration';
$string['headerconfig_desc'] = 'Configuration';
$string['secret'] = 'Token';
$string['secret_desc'] = 'Token';
$string['explorenow'] = 'Explore Catalog';
$string['addnewcourse'] = 'Create New Course';
$string['requiredfields'] = 'There are required fields in this form marked *.';
$string['coursesettings'] = 'Course Settings';
$string['coursecreation'] = 'Course Format';
$string['multi_activity_course'] = 'Topics Format';
$string['single_activity_course'] = 'Single Activity Format';
$string['coursefullname'] = 'Course Full Name';
$string['courseshortname'] = 'Course Short Name';
$string['coursecategory'] = 'Course Category';
$string['coursetype'] = 'Course Creation';
$string['single_coursetype'] = 'Single Course';
$string['multi_coursetype'] = 'Multiple Courses';
$string['cancel'] = 'Cancel';
$string['submit'] = 'Create Courses';
$string['selectcategory'] = 'Select Category';
$string['coursetype_help'] = 'Single Course : Create single course with the selected content items <br> Multiple Courses : Create multiple courses for the selected content items';
$string['coursecreation_help'] = 'Single Activity Format : Create course with single topic <br> Topics Format : Create course with multiple topics';
$string['single_course_creation_success'] = 'Course Created Successfully';
$string['single_course_creation_fail'] = 'Course Creation failed';
$string['multi_course_creation_success'] = 'Courses Created Successfully';
$string['multi_course_creation_fail'] = 'Courses Creation failed';
$string['create_course_task'] = 'Create Courses';
$string['heading'] = 'Explore Catalog';
$string['title'] = 'Explore Catalog';
$string['shortname_exists'] = 'Shortname exists, change it';
$string['author'] = 'Levitate';
$string['task_time'] = 'Courses will be created in next schedule task execution on {$a} ';
$string['execute_now1'] = 'To execute now -';
$string['execute_now2'] = 'Click Here and run Create Courses Task';
$string['get_token'] = 'Configuration Settings';
$string['clear_filters'] = 'Clear Filters';
$string['findcourse'] = 'Find a course...';
$string['duration'] = 'Duration';
$string['language'] = 'Language';
$string['program'] = 'Program';
$string['keywords'] = 'Keywords';
$string['create_courses'] = 'Create Courses';
$string['about_course'] = 'About the course';
$string['learning_objectives'] = 'Learning Objectives';
$string['total_users'] = 'TOTAL USERS';
$string['total_minutes'] = 'TOTAL MINUTES';
$string['total_courses'] = 'TOTAL COURSES';
$string['course_statistics'] = 'Course Statistics (Courses Enrolled)';
$string['completion_statistics'] = 'Completion Statistics';
$string['total_enrolls'] = 'Total enrollments';
$string['total_completions'] = 'Total completions';
$string['popular_courses'] = 'Popular Courses';
$string['my_details'] = 'My Details';
$string['contact_person'] = 'Contact Person';
$string['contact_details'] = 'Contact Details';
$string['access_domain'] = 'Access Domain(s)';
$string['subscripton_start'] = 'Subscription Start';
$string['seat_utilization'] = 'Seat Utilization';
$string['seats_bought'] = 'TOTAL SEATS BOUGHT';
$string['seats_used'] = 'TOTAL SEATS USED';
$string['explore_courses'] = 'Explore Catalog';
$string['analytics'] = 'Analytics';
$string['gettoken'] = 'Get Token';
$string['heading_analytics'] = 'Analytics Dashboard';
